RDCode: RDKit::SmilesWriter Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDKit::SmilesWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::SmilesWriter:

List of all members.

## Public Member Functions
| SmilesWriter (std::string fileName, std::string delimiter=" ", std::string nameHeader="Name", bool includeHeader=true)
| SmilesWriter (std::ostream *outStream, std::string delimiter=" ", std::string nameHeader="Name", bool includeHeader=true, bool takeOwnership=false)
| ~SmilesWriter ()
void | setProps (const STR_VECT &propNames)
void | write (ROMol &mol, int confId=defaultConfId)
void | flush ()
unsigned int | numMols () const

## Detailed Description

Definition at line 28 of file MolWriters.h.

## Constructor & Destructor Documentation

RDKit::SmilesWriter::SmilesWriter | ( | std::string | fileName,
|  | std::string | delimiter = `" "`,
|  | std::string | nameHeader = `"Name"`,
|  | bool | includeHeader = `true` |
| ) |  |  |

RDKit::SmilesWriter::SmilesWriter | ( | std::ostream * | outStream,
|  | std::string | delimiter = `" "`,
|  | std::string | nameHeader = `"Name"`,
|  | bool | includeHeader = `true`,
|  | bool | takeOwnership = `false` |
| ) |  |  |

RDKit::SmilesWriter::~SmilesWriter | ( |  | ) |

## Member Function Documentation

void RDKit::SmilesWriter::setProps | ( | const STR_VECT & | propNames | ) | `[virtual]`

Implements RDKit::MolWriter.

void RDKit::SmilesWriter::write | ( | ROMol & | mol,
|  | int | confId = `defaultConfId` |
| ) |  |  | `[virtual]`

Implements RDKit::MolWriter.

void RDKit::SmilesWriter::flush | ( |  | ) | `[inline, virtual]`

Implements RDKit::MolWriter.

Definition at line 63 of file MolWriters.h.

References PRECONDITION.

unsigned int RDKit::SmilesWriter::numMols | ( |  | ) | const`[inline, virtual]`

Implements RDKit::MolWriter.

Definition at line 69 of file MolWriters.h.

The documentation for this class was generated from the following file:

- MolWriters.h